{{log this.myComponent.name}}
{{log this.myComponent.error}}
{{log this.myComponent.component}}

<h2>
  Statically rendered Bar:
</h2>

<Bar />

<h2>
  Dynamically rendered Bar:
</h2>

{{#if this.myComponent.component}}
  <this.myComponent.component />
{{/if}}